Colors = {}

Colors.skyline = { 50, 50, 50 }
Colors.sun = { 255, 255, 210 }

Colors.text = { 255, 255, 255 }
Colors.evilText = { 255, 50, 50 }
Colors.remorse = { 180, 200, 255 }

Colors.sky1 = { 141, 161, 255 }
Colors.sky2 = { 219, 161, 255 }
Colors.sky3 = { 255, 216, 114 }
Colors.sky4 = { 219, 94,  86  }

-- https://www.love2d.org/wiki/General_math
local function lerp(a,b,t) return a+(b-a)*t end

-- convenience color interpolation
function Colors.interpolate(color1, color2, delta)
	return {
		lerp(color1[1], color2[1], delta),
		lerp(color1[2], color2[2], delta),
		lerp(color1[3], color2[3], delta),
	}
end
